"use strict";





var _chunkO2PHSJ23cjs = require('../../chunk-O2PHSJ23.cjs');
require('../../chunk-SSHZQKW7.cjs');
require('../../chunk-EZB4PXZZ.cjs');
require('../../chunk-VAG3XY63.cjs');
require('../../chunk-W3WUDQIC.cjs');
require('../../chunk-YY4AHBBL.cjs');
require('../../chunk-IMCDDJAJ.cjs');

// src/common/data/convert.spec.ts
describe("convert", () => {
  it("should convert", () => {
    expect(_chunkO2PHSJ23cjs.valueToString.call(void 0, 123)).toBe("123");
    expect(_chunkO2PHSJ23cjs.valueToInteger.call(void 0, "123")).toBe(123);
    expect(_chunkO2PHSJ23cjs.valueToInteger.call(void 0, true)).toBe(1);
  });
  it("should print errors", () => {
    expect(_chunkO2PHSJ23cjs.renderMessages.call(void 0, ["Message", new Error("Hello")])).toContain(
      "Message Error: Hello"
    );
    expect(
      _chunkO2PHSJ23cjs.renderMessages.call(void 0, ["Message", new Error("Hello")], { trace: false })
    ).toBe("Message Error: Hello");
    expect(
      _chunkO2PHSJ23cjs.renderMessages.call(void 0, [
        "Message",
        { a: 1, b: null },
        null,
        void 0,
        Number.NaN,
        100,
        "string"
      ])
    ).toEqual(`Message {
  "a": 1,
  "b": null
} null undefined NaN 100 string`);
  });
  it("should have some bias", async () => {
    expect(_chunkO2PHSJ23cjs.valueToBoolean.call(void 0, "123")).toBe(false);
    expect(_chunkO2PHSJ23cjs.valueToBoolean.call(void 0, "1")).toBe(true);
    expect(_chunkO2PHSJ23cjs.valueToBoolean.call(void 0, "on")).toBe(true);
    expect(_chunkO2PHSJ23cjs.valueToBoolean.call(void 0, 1)).toBe(true);
    expect(_chunkO2PHSJ23cjs.valueToBoolean.call(void 0, 123)).toBe(true);
    expect(_chunkO2PHSJ23cjs.valueToBoolean.call(void 0, void 0)).toBe(false);
    expect(_chunkO2PHSJ23cjs.valueToBoolean.call(void 0, null)).toBe(false);
    expect(_chunkO2PHSJ23cjs.valueToBoolean.call(void 0, "")).toBe(false);
    expect(_chunkO2PHSJ23cjs.valueToBooleanNotFalse.call(void 0, "123")).toBe(true);
    expect(_chunkO2PHSJ23cjs.valueToBooleanNotFalse.call(void 0, "1")).toBe(true);
    expect(_chunkO2PHSJ23cjs.valueToBooleanNotFalse.call(void 0, "0")).toBe(false);
    expect(_chunkO2PHSJ23cjs.valueToBooleanNotFalse.call(void 0, "off")).toBe(false);
    expect(_chunkO2PHSJ23cjs.valueToBooleanNotFalse.call(void 0, 1)).toBe(true);
    expect(_chunkO2PHSJ23cjs.valueToBooleanNotFalse.call(void 0, 123)).toBe(true);
    expect(_chunkO2PHSJ23cjs.valueToBooleanNotFalse.call(void 0, void 0)).toBe(true);
    expect(_chunkO2PHSJ23cjs.valueToBooleanNotFalse.call(void 0, null)).toBe(true);
    expect(_chunkO2PHSJ23cjs.valueToBooleanNotFalse.call(void 0, "")).toBe(true);
  });
});
//# sourceMappingURL=convert.spec.cjs.map