"use strict";



var _chunk7BEQHGH5cjs = require('../../chunk-7BEQHGH5.cjs');
require('../../chunk-4B2XCWGL.cjs');
require('../../chunk-DXZAHKLV.cjs');
require('../../chunk-5CIFX7O6.cjs');
require('../../chunk-SSHZQKW7.cjs');


var _chunk2AGPRCO5cjs = require('../../chunk-2AGPRCO5.cjs');
require('../../chunk-6R46PMWT.cjs');
require('../../chunk-6AARQEB3.cjs');
require('../../chunk-N46W55MH.cjs');
require('../../chunk-33B2TEAZ.cjs');
require('../../chunk-UKD65B23.cjs');
require('../../chunk-TZXDYORA.cjs');
require('../../chunk-J42M6DF3.cjs');
require('../../chunk-ZYPCVNSG.cjs');
require('../../chunk-VAG3XY63.cjs');
require('../../chunk-W3WUDQIC.cjs');
require('../../chunk-YY4AHBBL.cjs');
require('../../chunk-IMCDDJAJ.cjs');

// src/common/data/deep.spec.ts
var log = _chunk2AGPRCO5cjs.DefaultLogger.call(void 0, "test:deep");
describe("deep", () => {
  it("should deep without self reference", () => {
    const sample = {
      a: 1
    };
    sample.b = sample;
    const sample2 = {
      a: 1
    };
    sample2.b = sample2;
    log("sample", sample);
    expect(_chunk7BEQHGH5cjs.deepEqual.call(void 0, sample, sample2)).toBe(false);
  });
  it("should compare arays", () => {
    const a = [1, 2, 3];
    const b = [3, 2, 1];
    expect(_chunk7BEQHGH5cjs.deepEqual.call(void 0, a, b)).toBe(false);
    const c = [3, 2, 1, 0];
    expect(_chunk7BEQHGH5cjs.deepEqual.call(void 0, a, c)).toBe(false);
  });
  it("should simple checks", () => {
    const value = new String("Hello");
    expect(typeof value === "object").toBe(true);
    expect(value.valueOf()).toBe("Hello");
    expect(new String(value).valueOf()).toBe("Hello");
  });
  it("should merge deep", () => {
    const a = {
      hello: {
        world: 42
      },
      before: {
        magic: 666
      }
    };
    const b = {
      hello: {
        world: -1,
        sea: "none"
      },
      other: {
        fish: 2
      }
    };
    const c = {
      other: {
        fish: 8
      }
    };
    const d = _chunk7BEQHGH5cjs.deepMerge.call(void 0, a, b, c);
    expect(d).toEqual({
      hello: {
        world: -1,
        sea: "none"
      },
      other: {
        fish: 8
      },
      before: {
        magic: 666
      }
    });
  });
  it("should strip undefined", () => {
    const sample = {
      hello: {
        world: -1,
        null1: null,
        undefined1: void 0,
        sea: "none"
      },
      undefined1: void 0,
      other: [
        {
          fish: 8,
          undefined1: void 0
        },
        void 0,
        null,
        "Hello"
      ],
      before: {
        magic: 666
      }
    };
    expect(JSON.stringify(sample, null, 2)).toMatchInlineSnapshot(`
      "{
        "hello": {
          "world": -1,
          "null1": null,
          "sea": "none"
        },
        "other": [
          {
            "fish": 8
          },
          null,
          null,
          "Hello"
        ],
        "before": {
          "magic": 666
        }
      }"
    `);
    expect(_chunk7BEQHGH5cjs.deepStripUndefinedInPlace.call(void 0, sample)).toMatchInlineSnapshot(`
      Object {
        "before": Object {
          "magic": 666,
        },
        "hello": Object {
          "null1": null,
          "sea": "none",
          "world": -1,
        },
        "other": Array [
          Object {
            "fish": 8,
            "undefined1": undefined,
          },
          null,
          "Hello",
        ],
      }
    `);
  });
});
//# sourceMappingURL=deep.spec.cjs.map