import {
  LoggerMemoryHandler
} from "../../chunk-DSENWI6W.js";
import "../../chunk-NEFIJY6U.js";
import {
  LoggerContext
} from "../../chunk-JZBMDET5.js";
import "../../chunk-BFL67QFN.js";
import "../../chunk-NNCJ3QL5.js";
import "../../chunk-MIZOLME5.js";
import "../../chunk-AQUNU3KH.js";
import {
  LogLevelAll
} from "../../chunk-YX6CL4KH.js";
import "../../chunk-CFICINSP.js";
import "../../chunk-V5ZQ2SFQ.js";
import "../../chunk-UOAPXGA4.js";
import "../../chunk-EAYWSLQT.js";
import "../../chunk-I7BWSAN6.js";

// src/common/log/log-memory.spec.ts
describe("log-memory", () => {
  it("should log into memory", async () => {
    const messages = [];
    const logger = LoggerContext();
    logger.setHandlers([
      LoggerMemoryHandler({
        level: LogLevelAll,
        filter: "*",
        messages
      })
    ]);
    const log = logger("test");
    log("Simple");
    log.debug("Hello");
    log.info("World");
    log.warn("is on");
    log.error("Fire");
    try {
      log.assert(false, "Fatal");
    } catch (err) {
    }
    expect(messages.map((msg) => {
      delete msg.timestamp;
      return msg;
    })).toMatchInlineSnapshot(`
      Array [
        Object {
          "level": 0,
          "messages": Array [
            "Simple",
          ],
          "name": "test",
        },
        Object {
          "level": 0,
          "messages": Array [
            "Hello",
          ],
          "name": "test",
        },
        Object {
          "level": 1,
          "messages": Array [
            "World",
          ],
          "name": "test",
        },
        Object {
          "level": 2,
          "messages": Array [
            "is on",
          ],
          "name": "test",
        },
        Object {
          "level": 3,
          "messages": Array [
            "Fire",
          ],
          "name": "test",
        },
        Object {
          "level": 4,
          "messages": Array [
            "Fatal",
          ],
          "name": "test",
        },
      ]
    `);
  });
});
//# sourceMappingURL=log-memory.spec.js.map