import "../../chunk-W7SXHTUN.js";
import "../../chunk-UMUHNSGZ.js";
import "../../chunk-WQPRL26Y.js";
import "../../chunk-6NLXLMPR.js";
import "../../chunk-DJ2G6OAP.js";
import "../../chunk-Z5POCQXD.js";
import "../../chunk-HIX6EHLQ.js";
import "../../chunk-RSB2DP4K.js";
import "../../chunk-HOPWS6D4.js";
import "../../chunk-OWFULLVR.js";
import "../../chunk-K24X2FYZ.js";
import "../../chunk-TZ5CXZYL.js";
import {
  CryptoEncoder,
  JsonEncoder
} from "../../chunk-2AXVHLEB.js";
import "../../chunk-O7MQBX35.js";
import "../../chunk-ZA5M5NJT.js";
import "../../chunk-NUXB3GKS.js";
import "../../chunk-KURNIGQP.js";
import "../../chunk-3KKFLSLG.js";
import "../../chunk-ZG6VDVZD.js";
import "../../chunk-PLBFBDKH.js";
import "../../chunk-2H4XRKWS.js";
import "../../chunk-NSJKG6AJ.js";
import "../../chunk-XBBCTS7U.js";
import "../../chunk-2OUSR2BE.js";
import "../../chunk-ZDZ4EQHN.js";
import "../../chunk-PZP2B3FC.js";
import "../../chunk-LCRTQAGZ.js";
import "../../chunk-2HWPZ6ZE.js";
import "../../chunk-G5QDKKDC.js";
import "../../chunk-73CVRDI7.js";
import "../../chunk-HLRQ5H3N.js";
import "../../chunk-DGP32WEQ.js";
import "../../chunk-EDNCPFSF.js";
import "../../chunk-U2HB2W6R.js";
import "../../chunk-XC5GAA5P.js";
import "../../chunk-5DS3NT57.js";
import "../../chunk-OHKABZ6C.js";
import "../../chunk-DVBRAJ3X.js";
import "../../chunk-SZJLXMYP.js";
import "../../chunk-GKKLBSFA.js";
import "../../chunk-RNL46FQ3.js";
import "../../chunk-MWUFUBY5.js";
import "../../chunk-MDMGQSBC.js";
import "../../chunk-X56GIAWQ.js";
import "../../chunk-FLFB2K34.js";
import "../../chunk-264HKVNG.js";
import "../../chunk-XOAKJFNZ.js";
import "../../chunk-A7SUGWC3.js";
import "../../chunk-TEDI6MZR.js";
import "../../chunk-WJUQ3VXF.js";
import "../../chunk-FL5CT6MC.js";
import "../../chunk-LAWEUL6N.js";
import "../../chunk-3YFOOUF5.js";
import "../../chunk-TSCDX4AS.js";
import "../../chunk-DSENWI6W.js";
import "../../chunk-D6B6MYVG.js";
import "../../chunk-NEFIJY6U.js";
import "../../chunk-EW6FHLFK.js";
import "../../chunk-2VA3UGW7.js";
import "../../chunk-BMPLIZZN.js";
import "../../chunk-MMY72EVL.js";
import "../../chunk-QAMZSJ27.js";
import "../../chunk-5OVSRAPG.js";
import "../../chunk-OSX4VQOR.js";
import "../../chunk-7QYVSWCZ.js";
import "../../chunk-OC6HNIEN.js";
import "../../chunk-BORRWM4T.js";
import "../../chunk-HST4VI64.js";
import "../../chunk-JRC62CQG.js";
import "../../chunk-TRCJY7KG.js";
import "../../chunk-L324TYGN.js";
import "../../chunk-K7Z2KDW3.js";
import "../../chunk-GY34N3KU.js";
import "../../chunk-QUKKMPRF.js";
import "../../chunk-CDC2UKQU.js";
import "../../chunk-XYJV3SSU.js";
import "../../chunk-JZBMDET5.js";
import "../../chunk-BFL67QFN.js";
import {
  deriveKeyPbkdf2,
  randomUint8Array
} from "../../chunk-MFUX7YH7.js";
import "../../chunk-MTV32UFZ.js";
import "../../chunk-PMMHDI46.js";
import "../../chunk-PN34O4SN.js";
import "../../chunk-I45WP5PM.js";
import "../../chunk-NNCJ3QL5.js";
import "../../chunk-MIZOLME5.js";
import "../../chunk-AQUNU3KH.js";
import "../../chunk-YX6CL4KH.js";
import "../../chunk-CFICINSP.js";
import "../../chunk-V5ZQ2SFQ.js";
import "../../chunk-UOAPXGA4.js";
import "../../chunk-EAYWSLQT.js";
import "../../chunk-I7BWSAN6.js";

// src/common/msg/encoder.spec.ts
describe("encoder", () => {
  it("should encode json", async () => {
    const sample = {
      name: "Hello \u2192 w\xF6rld \u{1F468}\u200D\u{1F469}\u200D\u{1F467}\u200D\u{1F466}",
      list: [1, false, "test"],
      num: 1
    };
    const encoder = new JsonEncoder();
    const enc = await encoder.encode(sample);
    const back = await encoder.decode(enc);
    expect(back).toEqual(sample);
  });
  it("should encode crypto", async () => {
    const sample = {
      name: "Hello \u2192 w\xF6rld \u{1F468}\u200D\u{1F469}\u200D\u{1F467}\u200D\u{1F466}",
      list: [1, false, "test"],
      num: 1
    };
    const key = await deriveKeyPbkdf2(randomUint8Array(20));
    const encoder = new CryptoEncoder(key);
    const enc = await encoder.encode(sample);
    expect(enc).not.toEqual(sample);
    const back = await encoder.decode(enc);
    expect(back).toEqual(sample);
  });
});
//# sourceMappingURL=encoder.spec.js.map