"use strict";

var _chunkGAB4VEWKcjs = require('../../chunk-GAB4VEWK.cjs');
require('../../chunk-2P6TEB5M.cjs');


var _chunkI33DGHK7cjs = require('../../chunk-I33DGHK7.cjs');
require('../../chunk-UJ54DCK2.cjs');
require('../../chunk-34HB56WE.cjs');
require('../../chunk-XTDX3HZA.cjs');
require('../../chunk-HC4FRUCO.cjs');
require('../../chunk-FGKARD4L.cjs');
require('../../chunk-64ZMDALJ.cjs');
require('../../chunk-N5KTMDVO.cjs');
require('../../chunk-BOHPEXDM.cjs');
require('../../chunk-6T6PI6XG.cjs');
require('../../chunk-5BF2LEAU.cjs');
require('../../chunk-2AGPRCO5.cjs');
require('../../chunk-6R46PMWT.cjs');
require('../../chunk-6AARQEB3.cjs');
require('../../chunk-GVOOAPLA.cjs');
require('../../chunk-EZB4PXZZ.cjs');
require('../../chunk-33B2TEAZ.cjs');
require('../../chunk-UKD65B23.cjs');
require('../../chunk-TZXDYORA.cjs');
require('../../chunk-J42M6DF3.cjs');
require('../../chunk-ZYPCVNSG.cjs');
require('../../chunk-VAG3XY63.cjs');
require('../../chunk-W3WUDQIC.cjs');
require('../../chunk-YY4AHBBL.cjs');
require('../../chunk-IMCDDJAJ.cjs');

// src/common/msg/pubsub.spec.ts
describe("connection", () => {
  it("should send and receive messages", async () => {
    expect.assertions(3);
    const [f1, f2] = _chunkI33DGHK7cjs.createLocalChannelPair.call(void 0, );
    const c1 = _chunkGAB4VEWKcjs.usePubSub.call(void 0, { channel: f1 });
    const c2 = _chunkGAB4VEWKcjs.usePubSub.call(void 0, { channel: f2 });
    let counter = 0;
    c1.on("bla", (a, b) => {
      counter -= b;
    });
    c2.on("bla", (a, b) => {
      counter += b;
      expect(a).toBe("hello");
    });
    await c1.emit("bla", "hello", 3);
    expect(counter).toBe(3);
    await c2.emit("bla", "hello2", 2);
    expect(counter).toBe(1);
  });
  it("should send and receive messages - alternative syntax", async () => {
    expect.assertions(3);
    const [f1, f2] = _chunkI33DGHK7cjs.createLocalChannelPair.call(void 0, );
    const c1 = _chunkGAB4VEWKcjs.usePubSub.call(void 0, { channel: f1 });
    const c2 = _chunkGAB4VEWKcjs.usePubSub.call(void 0, { channel: f2 });
    let counter = 0;
    c1.subscribe("bla", (a, b) => {
      counter -= b;
    });
    c2.subscribe("bla", (a, b) => {
      counter += b;
      expect(a).toBe("hello");
    });
    await c1.publish("bla", "hello", 3);
    expect(counter).toBe(3);
    await c2.publish("bla", "hello2", 2);
    expect(counter).toBe(1);
  });
});
//# sourceMappingURL=pubsub.spec.cjs.map