"use strict";


var _chunkO33QJMGRcjs = require('../../chunk-O33QJMGR.cjs');


var _chunkI33DGHK7cjs = require('../../chunk-I33DGHK7.cjs');
require('../../chunk-UJ54DCK2.cjs');


var _chunkXR7AMYN7cjs = require('../../chunk-XR7AMYN7.cjs');
require('../../chunk-B4JXPT6I.cjs');



var _chunkMJQBMVHFcjs = require('../../chunk-MJQBMVHF.cjs');
require('../../chunk-UFTHLJFJ.cjs');
require('../../chunk-V3MFEGRK.cjs');
require('../../chunk-2UTQQDPY.cjs');
require('../../chunk-SFUIGVPA.cjs');
require('../../chunk-X23ZSPZC.cjs');
require('../../chunk-34HB56WE.cjs');
require('../../chunk-XTDX3HZA.cjs');
require('../../chunk-HC4FRUCO.cjs');
require('../../chunk-FGKARD4L.cjs');
require('../../chunk-64ZMDALJ.cjs');


var _chunkN5KTMDVOcjs = require('../../chunk-N5KTMDVO.cjs');
require('../../chunk-BOHPEXDM.cjs');
require('../../chunk-6T6PI6XG.cjs');
require('../../chunk-5BF2LEAU.cjs');
require('../../chunk-MN7G6N6G.cjs');
require('../../chunk-2AGPRCO5.cjs');
require('../../chunk-6R46PMWT.cjs');
require('../../chunk-6AARQEB3.cjs');
require('../../chunk-GVOOAPLA.cjs');
require('../../chunk-EZB4PXZZ.cjs');
require('../../chunk-33B2TEAZ.cjs');
require('../../chunk-UKD65B23.cjs');
require('../../chunk-TZXDYORA.cjs');
require('../../chunk-J42M6DF3.cjs');
require('../../chunk-ZYPCVNSG.cjs');
require('../../chunk-VAG3XY63.cjs');


var _chunkW3WUDQICcjs = require('../../chunk-W3WUDQIC.cjs');
require('../../chunk-YY4AHBBL.cjs');
require('../../chunk-IMCDDJAJ.cjs');

// src/common/msg/rpc.spec.ts
var bobCount = 0;
var Bob = {
  hi(name) {
    return `Hi ${name}, I am Bob`;
  },
  bump() {
    bobCount += 1;
  },
  getCount() {
    return bobCount;
  }
};
var Alice = {
  hello(name) {
    return `Hello ${name}, my name is Alice`;
  }
};
describe("rpc async", () => {
  beforeEach(() => {
    bobCount = 0;
  });
  it("basic", async () => {
    const log = [];
    const [c1, c2] = _chunkI33DGHK7cjs.createLocalChannelPair.call(void 0, );
    const serialize = (data) => {
      log.push(_chunkW3WUDQICcjs.cloneObject.call(void 0, data));
      return _chunkMJQBMVHFcjs.encodeJson.call(void 0, data);
    };
    const deserialize = (data) => _chunkMJQBMVHFcjs.decodeJson.call(void 0, data);
    const bob = _chunkO33QJMGRcjs.useRPC.call(void 0, Bob, {
      post: (data) => c1.postMessage(data),
      on: (data) => c1.on("message", (e) => data(e.data)),
      serialize,
      deserialize,
      stringHashPool: _chunkXR7AMYN7cjs.useStringHashPool.call(void 0, )
    });
    const alice = _chunkO33QJMGRcjs.useRPC.call(void 0, Alice, {
      // mark bob's `bump` as an event without response
      eventNames: ["bump"],
      post: (data) => c2.postMessage(data),
      on: (data) => c2.on("message", (e) => data(e.data)),
      serialize,
      deserialize,
      stringHashPool: _chunkXR7AMYN7cjs.useStringHashPool.call(void 0, )
    });
    expect(await bob.hello("Bob")).toEqual("Hello Bob, my name is Alice");
    expect(await alice.hi("Alice")).toEqual("Hi Alice, I am Bob");
    expect(void alice.bump()).toBeUndefined();
    expect(Bob.getCount()).toBe(0);
    await new Promise((resolve) => setTimeout(resolve, 100));
    expect(Bob.getCount()).toBe(1);
    c1.close();
    c2.close();
    expect(log).toMatchInlineSnapshot(`
      Array [
        Array [
          1,
          1,
          1335831723,
          "Bob",
        ],
        Array [
          3,
          1,
          "Hello Bob, my name is Alice",
        ],
        Array [
          1,
          2,
          1748694682,
          "Alice",
        ],
        Array [
          3,
          2,
          "Hi Alice, I am Bob",
        ],
        Array [
          2,
          1648103349,
        ],
      ]
    `);
  });
  it("hub", async () => {
    const [c1, c2] = _chunkI33DGHK7cjs.createLocalChannelPair.call(void 0, );
    const serialize = (data) => _chunkMJQBMVHFcjs.encodeJson.call(void 0, data);
    const deserialize = (data) => _chunkMJQBMVHFcjs.decodeJson.call(void 0, data);
    const bobHub = _chunkO33QJMGRcjs.useRPCHub.call(void 0, {
      post: (data) => c1.postMessage(data),
      on: (data) => c1.on("message", (e) => data(e.data)),
      serialize,
      deserialize,
      stringHashPool: _chunkXR7AMYN7cjs.useStringHashPool.call(void 0, )
    });
    const bob = bobHub(Bob);
    const alice = _chunkO33QJMGRcjs.useRPC.call(void 0, Alice, {
      // mark bob's `bump` as an event without response
      eventNames: ["bump"],
      post: (data) => c2.postMessage(data),
      on: (data) => c2.on("message", (e) => data(e.data)),
      serialize,
      deserialize,
      stringHashPool: _chunkXR7AMYN7cjs.useStringHashPool.call(void 0, )
    });
    expect(await bob.hello("Bob")).toEqual("Hello Bob, my name is Alice");
    expect(await alice.hi("Alice")).toEqual("Hi Alice, I am Bob");
    expect(void alice.bump()).toBeUndefined();
    expect(Bob.getCount()).toBe(0);
    await new Promise((resolve) => setTimeout(resolve, 100));
    expect(Bob.getCount()).toBe(1);
    c1.close();
    c2.close();
  });
  it("timeout async", async (done) => {
    const [f1, f2] = _chunkI33DGHK7cjs.createLocalChannelPair.call(void 0, );
    const rpc1 = _chunkO33QJMGRcjs.useRPC.call(void 0, {
      async echo(v, s = 5) {
        await _chunkN5KTMDVOcjs.sleep.call(void 0, s);
        return `${v}_1`;
      }
    }, {
      post: (data) => {
        f1.postMessage(data);
      },
      on: (data) => f1.on("message", (msg) => {
        void data(msg.data);
      }),
      timeout: 10
    });
    const rpc2 = _chunkO33QJMGRcjs.useRPC.call(void 0, {
      async echo(v, s = 5) {
        await _chunkN5KTMDVOcjs.sleep.call(void 0, s);
        return `${v}_2`;
      }
    }, {
      post: (data) => {
        f2.postMessage(data);
      },
      on: (data) => f2.on("message", (msg) => {
        void data(msg.data);
      }),
      timeout: 10
    });
    const r = await rpc1.echo("abc");
    expect(r).toMatchInlineSnapshot(`"abc_2"`);
    try {
      const r2 = await rpc1.echo("abc", 50);
      expect(false).toBe(true);
    } catch (err) {
      expect(err).toMatchInlineSnapshot(`[Error: rpc timeout on calling "echo"]`);
    }
  });
  it("async", async (done) => {
    function echo(n) {
      return n;
    }
    async function echoAsync(n) {
      return n;
    }
    expect(await echo(1)).toBe(1);
    expect(await echoAsync(2)).toBe(2);
  });
});
//# sourceMappingURL=rpc.spec.cjs.map