import {
  helpSchemaArgs,
  parseSchemaArgs
} from "../../chunk-DJ2G6OAP.js";
import "../../chunk-HIX6EHLQ.js";
import {
  boolean,
  number,
  object
} from "../../chunk-RSB2DP4K.js";
import "../../chunk-MDMGQSBC.js";
import "../../chunk-XOAKJFNZ.js";
import "../../chunk-NEFIJY6U.js";
import "../../chunk-CDC2UKQU.js";
import "../../chunk-XYJV3SSU.js";
import "../../chunk-JZBMDET5.js";
import "../../chunk-BFL67QFN.js";
import "../../chunk-MTV32UFZ.js";
import "../../chunk-MIZOLME5.js";
import "../../chunk-AQUNU3KH.js";
import "../../chunk-YX6CL4KH.js";
import "../../chunk-CFICINSP.js";
import "../../chunk-V5ZQ2SFQ.js";
import "../../chunk-UOAPXGA4.js";
import "../../chunk-EAYWSLQT.js";
import "../../chunk-I7BWSAN6.js";

// src/common/schema/args.spec.ts
describe("args.spec", () => {
  it("parse args", async () => {
    const schema = object({
      someStuff: number().optional().props({
        argDesc: "Does some stuff"
      }),
      help: boolean().default(false).props({
        argShort: "h",
        argDesc: "Shows help"
      })
    });
    expectTypeOf().toMatchTypeOf();
    const args = ["test.txt", "-h", "--some-stuff=8888"];
    const r = parseSchemaArgs(schema, args);
    expect(r).toMatchInlineSnapshot(`
      Array [
        Object {
          "help": true,
          "someStuff": 8888,
        },
        Array [
          "test.txt",
        ],
      ]
    `);
    expect(helpSchemaArgs(schema)).toMatchInlineSnapshot(`
      "--some-stuff=number
        Does some stuff
      --help, -h
        Shows help"
    `);
  });
});
//# sourceMappingURL=args.spec.js.map